Subject: Re: bug#46827: Broken initial size of GTK3 frame

From: martin rudalics <[email-masked]>
Date: Thu, 13 May 2021 09:54:16 +0200

> Isn't this a bug that the tool bar and menu bar incorrectly calculate lines?

The lines are calculated correctly by rounding up when we divide the
object's pixel height by the default character height of the frame.  But
that calculated value is useless on a GUI.

 >> Note: In practice we care only about zero or not zero here.
 >
 > It could also help to detect the situation when lines are wrapped.

For internal objects (like the Lucid or Windows tool bar or your tab
bars) only the display engine can reliable do that.  For external
objects (like the Motif or Windows menu bars) detecting wrapping is
unreliable anyway.

martin